Name:           pdfcrack
Version:        0.11
Release:        7%{?dist}
Summary:        A Password Recovery Tool for PDF files

Group:          Applications/System
License:        GPLv2+
URL:            http://pdfcrack.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        pdfcrack.1
patch0:         pdfcrack-rm-strip.patch

%description
PDFCrack is a GNU/Linux tool for recovering passwords and content
from PDF-files. It is small, command line driven without external
dependencies.

%prep
%setup -q
%patch0 -p1


%build
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -pm0755 %{name} $RPM_BUILD_ROOT%{_bindir}/
install -pm0644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1/


%files
%doc README TODO COPYING changelog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sat Oct 29 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-7
- Added new user manual - pdfcrack.1 - by Mr. Richard Shaw.

* Fri Oct 28 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-6
- changed to update description and add CFLAGS to the build section.

* Sat Oct 22 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-5
- created a patch to the Makefile to keep it from striping the
  binary files.

* Thu Oct 20 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-4
- changed install section to use {name} macro.

* Wed Oct 19 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-3
- changed to use name macro in files secion.

* Mon Oct 17 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-2
- changed Source0 to use name and version macros. Removed section: clean.

* Mon Oct 17 2011 P J P <pj.pandit@yahoo.co.in> - 0.11-1
- First RPM build.
